Safe Haskell | Safe-Inferred
Language | Haskell2010

GADTRecords

Synopsis

- data H1 a b where
  - C1 :: H1 a b
  - C2 :: Ord a => [a] -> H1 a a
  - C3 :: {..} -> H1 Int Int
  - C4 :: {..} -> H1 Int a

# Documentation

data H1 a b where #

h1

Constructors

C1 :: H1 a b |
C2 :: Ord a => [a] -> H1 a a |
C3 |
Fields :: { field :: Int hello docs } -> H1 Int Int
C4 |
Fields :: { field2 :: a hello2 docs } -> H1 Int a